net.sf.jasperreports.engine.export.oasis

## Class DocumentBuilder

- java.lang.Object
- - net.sf.jasperreports.engine.export.oasis.DocumentBuilder

- Direct Known Subclasses:
    JROdsExporter.OdsDocumentBuilder, JROdtExporter.OdtDocumentBuilder

      public abstract class DocumentBuilder
      extends java.lang.Object

  Version:
    $Id: DocumentBuilder.java 6598 2013-10-18 12:40:28Z shertage $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `IMAGE_NAME_PREFIX`
    `protected static int` | `IMAGE_NAME_PREFIX_LEGTH`
    `protected static java.lang.String` | `JR_PAGE_ANCHOR_PREFIX`
    `protected OasisZip` | `oasisZip`
    `protected java.util.Map<java.lang.String,java.lang.String>` | `rendererToImagePathMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentBuilder(OasisZip oasisZip)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected JRPrintElementIndex` | `getElementIndex(JRExporterGridCell gridCell)`
    `protected abstract JRHyperlinkProducer` | `getHyperlinkProducer(JRPrintHyperlink link)`
    `protected java.lang.String` | `getHyperlinkURL(JRPrintHyperlink link)`
    `protected java.lang.String` | `getHyperlinkURL(JRPrintHyperlink link, boolean isOnePagePerSheet)`
    `static java.lang.String` | `getImageName(JRPrintElementIndex printElementIndex)`
    `protected java.lang.String` | `getImagePath(Renderable renderer, JRPrintImage image, JRExporterGridCell gridCell)`
    `abstract java.lang.String` | `getInvalidCharReplacement()`
    `protected abstract JasperReportsContext` | `getJasperReportsContext()`
    `protected abstract int` | `getPageIndex()`
    `static JRPrintElementIndex` | `getPrintElementIndex(java.lang.String imageName)`
    `protected abstract int` | `getReportIndex()`
    `abstract JRStyledText` | `getStyledText(JRPrintText text)`
    `abstract java.util.Locale` | `getTextLocale(JRPrintText text)`
    `protected abstract void` | `insertPageAnchor(TableBuilder tableBuilder)`
    `protected void` | `processImage(JRPrintImage image, JRPrintElementIndex imageIndex)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JR_PAGE_ANCHOR_PREFIX

          protected static final java.lang.String JR_PAGE_ANCHOR_PREFIX

      See Also:
        Constant Field Values

    - #### IMAGE_NAME_PREFIX

          public static final java.lang.String IMAGE_NAME_PREFIX

      See Also:
        Constant Field Values

    - #### IMAGE_NAME_PREFIX_LEGTH

          protected static final int IMAGE_NAME_PREFIX_LEGTH

    - #### rendererToImagePathMap

          protected final java.util.Map<java.lang.String,java.lang.String> rendererToImagePathMap

    - #### oasisZip

          protected final OasisZip oasisZip

  - ### Constructor Detail

    - #### DocumentBuilder

          public DocumentBuilder(OasisZip oasisZip)

  - ### Method Detail

    - #### getImageName

          public static java.lang.String getImageName(JRPrintElementIndex printElementIndex)

    - #### getPrintElementIndex

          public static JRPrintElementIndex getPrintElementIndex(java.lang.String imageName)

    - #### getHyperlinkURL

          protected java.lang.String getHyperlinkURL(JRPrintHyperlink link)

    - #### getHyperlinkURL

          protected java.lang.String getHyperlinkURL(JRPrintHyperlink link,
                                         boolean isOnePagePerSheet)

    - #### getImagePath

          protected java.lang.String getImagePath(Renderable renderer,
                                      JRPrintImage image,
                                      JRExporterGridCell gridCell)
                                           throws JRException

      Throws:
        `JRException`

    - #### processImage

          protected void processImage(JRPrintImage image,
                          JRPrintElementIndex imageIndex)
                               throws JRException

      Throws:
        `JRException`

    - #### getElementIndex

          protected JRPrintElementIndex getElementIndex(JRExporterGridCell gridCell)

    - #### getStyledText

          public abstract JRStyledText getStyledText(JRPrintText text)

    - #### getTextLocale

          public abstract java.util.Locale getTextLocale(JRPrintText text)

    - #### getInvalidCharReplacement

          public abstract java.lang.String getInvalidCharReplacement()

    - #### insertPageAnchor

          protected abstract void insertPageAnchor(TableBuilder tableBuilder)

    - #### getHyperlinkProducer

          protected abstract JRHyperlinkProducer getHyperlinkProducer(JRPrintHyperlink link)

    - #### getJasperReportsContext

          protected abstract JasperReportsContext getJasperReportsContext()

    - #### getReportIndex

          protected abstract int getReportIndex()

    - #### getPageIndex

          protected abstract int getPageIndex()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com